/* 
 * File:   main.c
 * Author: chengo
 *
 * Created on March 24, 2019, 12:41 PM
 */
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#define _XTAL_FREQ  4000000
//------------------------------------------------------------------------------
#include "LCD.h"
#include "MCP23017_Port_Expander.h"
#include "DS1307.h"
#include "DS1621_Tempr.h"
//------------------------------------------------------------------------------
#define Addr 0x90  //DS1621 Device Address
unsigned char time[7];
char strOut[15];
char strOut2[15];
char result[20];
int tempr;
//------------------------------------------------------------------------------
int main(int argc, char** argv)
{
  I2C_init(100000);
  EXPANDER_init(0x00,0x00);             //PortA all Outputs, PortB all Inputs.
  LCD_init();
  DS1621_Init(Addr);
  
  while(1)
  {
    rtc_getDateTime(time);
    tempr = DS1621_ReadTemp(Addr);
    
    sprintf(strOut,"Time:%s",get_fullTimeStr(time));
    LCD_string(0,0,strOut);
        
    sprintf(result,"Tempr:%3.2fC",toFloat(tempr));
    LCD_string(1,0,result);  
    
    __delay_ms(1000);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------